<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>business-modules-web</artifactId>
        <groupId>com.sckw</groupId>
        <version>1.0.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>business-transport-start</artifactId>

    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
        <project.version>1.0.0</project.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-context</artifactId>
            <version>6.1.5</version>
            <scope>compile</scope>
        </dependency>

        <dependency>
            <groupId>org.yaml</groupId>
            <artifactId>snakeyaml</artifactId>
            <version>2.0</version>
            <!--<scope>compile</scope>-->
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-aop</artifactId>
            <version>3.2.4</version>
        </dependency>

        <!--hutool工具包-->
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>5.5.1</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>business-address</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>business-goods</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>business-truck</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>business-driver</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>business-car-transport</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>business-path</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>business-mine</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>business-company</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>business-user</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>business-usual-transport</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sckw</groupId>
            <artifactId>business-common-datasource</artifactId>
            <version>${project.version}</version>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
                <configuration>
                    <mainClass>com.sckw.transport.TransportStartApplication</mainClass>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>